# Extra Assets Registration Demo Assets

This unofficial TaleSpire asset pack demonstrating some of the features of the Extra Assets Registration plugin.
Previously these assets were include in the EAR plugin pack but have been moved to a separate pack in order to
make the plugin download smaller (thus smaller downloads each time the plugin is updated).

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php

## Change Log

```
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install this plugin.

## Usage

Under "Human" you will find an "Assasin" (icons with brown leather hooded outfit). The assasin has animations and poses.
The assasin starts in animation 1. The first two animations are very subtle and may look like poses. The third animation
is a static ready pose. Animation 4 is a kick attack. Animation 5 is a spell attack and animation 6 is a death animation.
You can access each one of these by selecting the assasin on the board and pressing LEFT ALT plus 1 thru 6.
The assasin also has a battle cry which you can play with LEFT ALT+9. Plugin must be set to High Graphics Capabilities
in order to be able to trigger animations. Otherwise the non-animated version of the sample asset is used.

Under "Tavern Songs" you will find "Cockerel". When you place this asset on the board it will look like a speaker. You
can hide it using Stealth so that your player's don't see it. When selected on the board, you can press LEFT ALT + 9 to
play the music. It is a tavern song about a rooster. If you think the song is about anything else, you have a dirty mind.
You can use LEFT ALT + 0 to stop playing the music.

Under "Camera Filters" you will find "Blood Filter" and "Slime Filter". When you select this asset, it will add the
corresponding camera filter to the camera. The camera filter will move with the camera.

Under the Tile section of the library, under the "Custom Content" group you will find a "Temple01" sample slab.

Under "Encounters" is a sample asset which loads 3 assassins, demonstrating the encounter load function.

Under "Fey" is a sample asset which uses sub-selection. When you drop this asset to the board you will have a sub-choice
of two variations which, in this case, change the colour/texture of the clothing that the fey is wearing.

Under "Weapons" (of the Creature category) you will find two weapons (a club and a morningstar). Each has a right hand
and left hand version. These are aura weapons which can be added to minis by spawning then while holding ALT. 

Under "Demo" (of the Creature category) you will find light pedestal. Spawning this prop creature will add a pedestal
which automatically spawns a light once it has been placed. This asset demonstrates the use of the linkRequests feature
of the info.txt file.
